/* Copyright (c) 2013 tonomu
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

enum version {
  MAJOR_VERSION = 1,
  MINOR_VERSION = 0,
  MODIFY_VERSION = 0
};

struct track_st {
  int buf;
  unsigned int in;
  unsigned int out;
};

enum error_code {
  STATUS_SUCCESS = 0,
  E_ARGUMENT_ENTRY = -1,
  E_FILE_ENTRY = -2,
  E_OPEN_INPUT = -3,
  E_OPEN_OUTPUT = -4,
  E_MTHD_VALUE = -5,
  E_HSIZE_VALUE = -6,
  E_FORMAT_VALUE = -7,
  E_GET_CHAR = -8,
  E_PUT_CHAR = -9,
  E_MTRK_VALUE = -10,
  E_GET_INIDATA = -11,
  E_TRACK_SIZE = -12,
  E_TRACK_DATA = -13,
  E_GET_LASTDATA = -14,
  E_SET_INIDATA = -15,
  E_SET_LASTDATA = -16,
  E_LEN_FORMAT = -17,
  E_UNGET_CHAR = -18,
  E_RUNNING_STATUS = -19,
  E_INS_TYPE = -20,
  E_CLOSE_INPUT = -21,
  E_CLOSE_OUTPUT = -22
};
